/***************************************************************
 * Name:      recorddialog.h
 * Author:    David Vachulka (archdvx@dxsolutions.org)
 * Copyright: 2015
 * License:   GPL3
 **************************************************************/

#ifndef RECORDDIALOG_H
#define RECORDDIALOG_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/datectrl.h>
#include <wx/spinctrl.h>
#include <wx/dateevt.h>
#include "gui/widgets/dxtimepickerctrl.h"

class RecordDialog: public wxDialog
{
    DECLARE_DYNAMIC_CLASS(RecordDialog)
    DECLARE_EVENT_TABLE()
public:
    RecordDialog() : m_editing(false), m_id(-1) {}
    /* For add time */
    RecordDialog(int taskid, wxWindow *parent);
    /* For edit time */
    RecordDialog(wxWindow *parent, int id);

    void calculateValues(dxTimePickerCtrl *ctrl);
private:
    bool m_editing;
    int m_id;
    int m_taskid;
    dxTimePickerCtrl *m_startCtrl, *m_endCtrl;
    wxDatePickerCtrl *m_dateCtrl;
    wxBoxSizer *m_mainSizer;

    void createControls();
    void fillControls();
    void OnOk(wxCommandEvent& event);
    void OnCancel(wxCommandEvent& event);
    void OnTime(wxCommandEvent& event);
    wxDateTime createDateTime(bool start);
};

#endif  /* RECORDDIALOG_H */

